Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction
Class ExternalXaTransaction

    java.lang.Object
      org.mule.transaction.AbstractTransaction
          org.mule.transaction.XaTransaction
              org.mule.transaction.ExternalXaTransaction

All Implemented Interfaces:
  Transaction

    public class ExternalXaTransaction

extends XaTransaction

`ExternalXaTransaction` represents an external XA transaction in Mule.

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.transaction.XaTransaction
`XaTransaction.MuleXaObject`

Field Summary

Fields inherited from class org.mule.transaction.XaTransaction
`transaction, txManager`

Fields inherited from class org.mule.transaction.AbstractTransaction
`id, logger, muleContext`

Fields inherited from interface org.mule.api.transaction.Transaction
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLBACK, STATUS_NO_TRANSACTION, STATUS_PREPARED, STATUS_PREPARING, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK, STATUS_UNKNOWN`

Constructor Summary
`ExternalXaTransaction(MuleContext muleContext)`

Method Summary
`protected void` | `doBegin()` Really begin the transaction.

Methods inherited from class org.mule.transaction.XaTransaction
`bindResource, closeResources, delistResource, delistResources, doCommit, doRollback, enlistResource, getResource, getStatus, getTransaction, hasResource, isXA, resume, setRollbackOnly, suspend, toString`

Methods inherited from class org.mule.transaction.AbstractTransaction
`begin, commit, fireNotification, getId, isBegun, isCommitted, isRollbackOnly, isRolledBack, rollback, unbindTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalXaTransaction

    public ExternalXaTransaction(MuleContext muleContext)

Method Detail

### doBegin

    protected void doBegin()
                    throws TransactionException

  Description copied from class: `AbstractTransaction`
  Really begin the transaction. Note that resources are enlisted yet.

  Overrides:
    `doBegin` in class `XaTransaction`
  Throws:
    `TransactionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.